Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
float_va.c File Reference
`#include <stdarg.h>`
`#include "ffitest.h"`

Go to the source code of this file.

## Functions
double | float_va_fn (unsigned int x, double y,...)
int | main (void)

## Function Documentation

## ◆ float_va_fn()

double float_va_fn | ( | unsigned int | x,
|  | double | y,
|  |  | ...
| ) |  |

Definition at line 19 of file float_va.c.

References arg, double, i, printf(), va_arg, va_end, and va_start.

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 44 of file float_va.c.

References CHECK, exit(), ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif_var(), float_va_fn(), NULL, and printf().